# Class MessageFormat.Field

java.lang.Object
java.text.AttributedCharacterIterator.Attribute
java.text.Format.Field
java.text.MessageFormat.Field

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `MessageFormat`

public static class MessageFormat.Field extends Format.Field
Defines constants that are used as attribute keys in the `AttributedCharacterIterator` returned from `MessageFormat.formatToCharacterIterator`.

Since:
  1.4
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final MessageFormat.Field`
`ARGUMENT`
Constant identifying a portion of a message that was generated from an argument passed into `formatToCharacterIterator`.

### Fields declared in class AttributedCharacterIterator.Attribute

`INPUT_METHOD_SEGMENT, LANGUAGE, READING`
Modifier and Type
Field
Description
`static final AttributedCharacterIterator.Attribute`
`INPUT_METHOD_SEGMENT`
Attribute key for input method segments.
`static final AttributedCharacterIterator.Attribute`
`LANGUAGE`
Attribute key for the language of some text.
`static final AttributedCharacterIterator.Attribute`
`READING`
Attribute key for the reading of some text.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Field(String name)`
Creates a Field with the specified name.

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`readResolve()`
Resolves instances being deserialized to the predefined constants.

### Methods declared in class AttributedCharacterIterator.Attribute

`equals, getName, hashCode, toString`
Modifier and Type
Method
Description
`final boolean`
`equals(Object obj)`
Compares two objects for equality.
`protected String`
`getName()`
Returns the name of the attribute.
`final int`
`hashCode()`
Returns a hash code value for the object.
`String`
`toString()`
Returns a string representation of the object.

### Methods declared in class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Field Details

### ARGUMENT

public static final MessageFormat.Field ARGUMENT
Constant identifying a portion of a message that was generated from an argument passed into `formatToCharacterIterator`. The value associated with the key will be an `Integer` indicating the index in the `arguments` array of the argument from which the text was generated.

## Constructor Details

### Field

protected Field(String name)
Creates a Field with the specified name.

Parameters:
  `name` - Name of the attribute

## Method Details

### readResolve

protected Object readResolve() throws InvalidObjectException
Resolves instances being deserialized to the predefined constants.

Overrides:
  `readResolve` in class `AttributedCharacterIterator.Attribute`
Returns:
  resolved MessageFormat.Field constant
Throws:
  `InvalidObjectException` - if the constant could not be resolved.